public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-util/anjuta/
Date: Mon, 13 May 2024 19:53:27 +0000 (UTC)	[thread overview]
Message-ID: <1715629354.0a5cacb3bade57022cc5e7bfd2f7ed89f01dce7b.sam@gentoo> (raw)

commit:     0a5cacb3bade57022cc5e7bfd2f7ed89f01dce7b
Author:     orbea <orbea <AT> riseup <DOT> net>
AuthorDate: Mon Apr  8 23:54:06 2024 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Mon May 13 19:42:34 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0a5cacb3

dev-util/anjuta: only remove .la file if it exists

When building with slibtool the .la file by default is never installed.

Closes: https://bugs.gentoo.org/913671
Signed-off-by: orbea <orbea <AT> riseup.net>
Closes: https://github.com/gentoo/gentoo/pull/36170
Signed-off-by: Sam James <sam <AT> gentoo.org>

 dev-util/anjuta/anjuta-3.34.0-r2.ebuild | 8 +++-----
 1 file changed, 3 insertions(+), 5 deletions(-)

diff --git a/dev-util/anjuta/anjuta-3.34.0-r2.ebuild b/dev-util/anjuta/anjuta-3.34.0-r2.ebuild
index fad8dc7ade3c..149da469e6c1 100644
--- a/dev-util/anjuta/anjuta-3.34.0-r2.ebuild
+++ b/dev-util/anjuta/anjuta-3.34.0-r2.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2022 Gentoo Authors
+# Copyright 1999-2024 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=8
@@ -27,8 +27,6 @@ PATCHES=(
 	"${FILESDIR}"/${PV}-minimal.patch
 )
 
-LA="libanjuta-${PV%%.*}.la"
-
 src_configure() {
 	gnome2_src_configure \
 		--disable-debug \
@@ -42,12 +40,12 @@ src_configure() {
 
 src_compile() {
 	emake -C libanjuta/interfaces libanjuta-interfaces.la
-	emake -C libanjuta ${LA}
+	emake -C libanjuta libanjuta-${PV%%.*}.la
 }
 
 src_install() {
 	emake DESTDIR="${D}" -C libanjuta install-am
 	emake DESTDIR="${D}" -C libanjuta/interfaces install-am
 	emake DESTDIR="${D}" -C src install-dist_anjuta_pixmapsDATA
-	rm -v "${ED}"/usr/$(get_libdir)/${LA} || die
+	find "${ED}" -type f -name '*.la' -delete || die
 }


             reply	other threads:[~2024-05-13 19:53 UTC|newest]

Thread overview: 20+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2024-05-13 19:53 Sam James [this message]
  -- strict thread matches above, loose matches on Subject: below --
2022-04-26 21:29 [gentoo-commits] repo/gentoo:master commit in: dev-util/anjuta/ James Le Cuirot
2020-09-19 19:57 Pacho Ramos
2020-07-04 15:07 Mart Raudsepp
2020-06-12 22:16 Mart Raudsepp
2019-04-13  9:47 Mart Raudsepp
2019-04-02  9:13 Mikle Kolyada
2019-04-02  1:37 Thomas Deutschmann
2019-03-30 21:56 Mart Raudsepp
2019-03-22 21:37 Mart Raudsepp
2018-08-03 10:30 Mart Raudsepp
2017-04-02 13:03 Mart Raudsepp
2016-11-02  8:34 Gilles Dartiguelongue
2016-10-08  9:51 Pacho Ramos
2016-03-06 16:43 Mikle Kolyada
2016-02-01 20:45 Pacho Ramos
2016-02-01 20:45 Pacho Ramos
2015-11-14 18:40 Pacho Ramos
2015-11-14 18:40 Pacho Ramos
2015-11-12  8:56 Justin Lecher

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1715629354.0a5cacb3bade57022cc5e7bfd2f7ed89f01dce7b.sam@gentoo \
    --to=sam@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox